### Class

# Msg OAuth2Authorizer

#### Description

    class Msg.OAuth2Authorizer : GObject.Object
      implements Msg.Authorizer {
      priv: MsgOAuth2AuthorizerPrivate*
    }

No description available.

#### Ancestors

- GObject

#### Implements

- MsgAuthorizer

#### Constructors

###### msg_oauth2_authorizer_new

No description available.

#### Functions

###### msg_oauth2_authorizer_test_load_credentials

No description available.

###### msg_oauth2_authorizer_test_save_credentials

No description available.

#### Instance methods

###### msg_oauth2_authorizer_build_authentication_uri

No description available.

###### msg_oauth2_authorizer_request_authorization

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from MsgAuthorizer (2)

###### msg_authorizer_process_request

Adds the necessary authorization to `message`. The type of `message` can be DELETE, GET and POST.

###### msg_authorizer_refresh_authorization

Synchronously forces `iface` to refresh any authorization tokens held by it. See `msg_authorizer_refresh_authorization_async()` for the asynchronous version of this call.

#### Properties

###### Msg.OAuth2Authorizer:client-id

No description available.

###### Msg.OAuth2Authorizer:redirect-uri

No description available.

###### Msg.OAuth2Authorizer:refresh-token

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MsgOAuth2AuthorizerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.